com.sun.grid.jgdi.monitoring

## Interface QQuotaResult

- All Known Implementing Classes:
    QQuotaResultImpl

      public interface QQuotaResult

  This interface represent the result of the qquota algorithm.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `ResourceQuotaRuleInfo` | `getResourceQuotaRuleInfo(java.lang.String quotaname)` Get a resource quotal
    `java.util.Set<java.lang.String>` | `getResourceQuotaRuleNames()` Get a set of all resource quota rule names
    `java.util.List<ResourceQuotaRuleInfo>` | `getResourceQuotaRules()` Get a list of all available resource quota info objects

- - ### Method Detail

    - #### getResourceQuotaRuleNames

          java.util.Set<java.lang.String> getResourceQuotaRuleNames()

      Get a set of all resource quota rule names
      Returns:
        set of resource quota

    - #### getResourceQuotaRuleInfo

          ResourceQuotaRuleInfo getResourceQuotaRuleInfo(java.lang.String quotaname)

      Get a resource quotal
      Parameters:
        `quotaname` - name of the resource quota
      Returns:
        the resource quota information

    - #### getResourceQuotaRules

          java.util.List<ResourceQuotaRuleInfo> getResourceQuotaRules()

      Get a list of all available resource quota info objects
      Returns:
        list of all available resource quota info objects

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.